Bug 40931 - Upgrade remote machines without console access
Upgrade remote machines without console access
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-16 12:20 EDT by redhat-bugzilla
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 14:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat-bugzilla 2001-05-16 12:20:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
The current upgrade process seems to require console access to the machine.
I maintain machines that are a long way away, and I would like to be able
to upgrade between Red Hat versions without having to visit all of them.

Using
	rpm --freshen <RedHat_cdrom>/RedHat/RPMS/*
already comes *close* to accomplishing this, but it doesn't 
do quite everything that the upgrader would do. For example,
it doesn't re-construct the lilo.conf for any upgraded kernels,
and prepare a ramdisk.

Of course, I can use "rpm --freshen" then do my own kernel changes,
but this is really just guesswork. 

There could be other things in an upgrade that I'm not doing.
I'd like some certainty that I'm leaving the system in a 
consistent state.

Thanks for considering it, or any pointers! :-)
Comment 1 Brent Fox 2001-05-17 12:13:20 EDT
I think up2date can do most of the stuff that you are talking about...not sure
about preparing the ramdisk, though.
Comment 2 redhat-bugzilla 2001-05-17 14:21:07 EDT
Some of the systems that I manage do not have Internet access; they're
accessed through private networks.

Can up2date do version changes? (i.e., will it upgrade the redhat-release
package?)

Comment 3 redhat-bugzilla 2001-05-17 14:22:37 EDT
Is there any chance that Red Hat systems can be maintained similarly to 
Debian systems; i.e., no necessary "upgrade" process, just package updates?
Comment 4 Brent Fox 2001-05-17 17:58:05 EDT
Well, up2date isn't going to do you much good if you don't have internet access.
 But to answer your question, yes, up2date can update /etc/redhat-release. 
up2date uses RPM as the package manager...it just allows you to pull the RPMs
from Red Hat Network.  Similiar to apt-get, just different.  One problem is that
while up2date can upgrade the kernel, it doesn't currently modify the
/etc/lilo.conf file or prepare the ramdisk.  Basically the problems that affect
RPM also affect up2date.
Comment 5 redhat-bugzilla 2001-05-21 08:15:41 EDT
Someone closed this RFE as "notabug". Does that indicate that Red Hat 
is not interested in providing for release upgrades on remote systems?

I.e., does this mean that Red Hat is only interested in supporting
upgrades where you can physically visit the machine?
Comment 6 Brent Fox 2001-05-21 14:15:04 EDT
Oh sorry.  Wrong button.  Mouse too fast for the brain sometimes.  :)
Comment 7 Brent Fox 2001-05-21 14:16:25 EDT
ewt, is this related to the telnet stuff you were working on?
Comment 8 Erik Troan 2001-06-29 10:57:47 EDT
Could be, but the right solution I think is to use kickstart booted via lilo
to upgrade. This should solve the problem, and the system will reboot into the
upgraded system.

up2date should be able to do this as well, but that's not an anaconda issue.

Note You need to log in before you can comment on or make changes to this bug.